Index: terepaima-0.4.16/moc-pdf/moc_formfieldwidgets.cpp
===================================================================
--- terepaima-0.4.16/moc-pdf/moc_formfieldwidgets.cpp	(revision 1f4adec359c5217a01caac08e395b35ebeb3792d)
+++ terepaima-0.4.16/moc-pdf/moc_formfieldwidgets.cpp	(revision 3d9584517ff74faaa29038acf42374227f030fe2)
@@ -2,5 +2,5 @@
 ** Meta object code from reading C++ file 'formfieldwidgets.h'
 **
-** Created by: The Qt Meta Object Compiler version 63 (Qt 4.8.6)
+** Created by: The Qt Meta Object Compiler version 67 (Qt 5.3.2)
 **
 ** WARNING! All changes made in this file will be lost!
@@ -8,8 +8,10 @@
 
 #include "../sources/formfieldwidgets.h"
+#include <QtCore/qbytearray.h>
+#include <QtCore/qmetatype.h>
 #if !defined(Q_MOC_OUTPUT_REVISION)
 #error "The header file 'formfieldwidgets.h' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 63
-#error "This file was generated using the moc from 4.8.6. It"
+#elif Q_MOC_OUTPUT_REVISION != 67
+#error "This file was generated using the moc from 5.3.2. It"
 #error "cannot be used with the include files from this version of Qt."
 #error "(The moc has changed too much.)"
@@ -17,8 +19,30 @@
 
 QT_BEGIN_MOC_NAMESPACE
+struct qt_meta_stringdata_qpdfview__NormalTextFieldWidget_t {
+    QByteArrayData data[5];
+    char stringdata[65];
+};
+#define QT_MOC_LITERAL(idx, ofs, len) \
+    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
+    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__NormalTextFieldWidget_t, stringdata) + ofs \
+        - idx * sizeof(QByteArrayData)) \
+    )
+static const qt_meta_stringdata_qpdfview__NormalTextFieldWidget_t qt_meta_stringdata_qpdfview__NormalTextFieldWidget = {
+    {
+QT_MOC_LITERAL(0, 0, 31),
+QT_MOC_LITERAL(1, 32, 11),
+QT_MOC_LITERAL(2, 44, 0),
+QT_MOC_LITERAL(3, 45, 14),
+QT_MOC_LITERAL(4, 60, 4)
+    },
+    "qpdfview::NormalTextFieldWidget\0"
+    "wasModified\0\0on_textChanged\0text"
+};
+#undef QT_MOC_LITERAL
+
 static const uint qt_meta_data_qpdfview__NormalTextFieldWidget[] = {
 
  // content:
-       6,       // revision
+       7,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -30,22 +54,22 @@
        1,       // signalCount
 
- // signals: signature, parameters, type, tag, flags
-      33,   32,   32,   32, 0x05,
-
- // slots: signature, parameters, type, tag, flags
-      52,   47,   32,   32, 0x09,
+ // signals: name, argc, parameters, tag, flags
+       1,    0,   24,    2, 0x06 /* Public */,
+
+ // slots: name, argc, parameters, tag, flags
+       3,    1,   25,    2, 0x09 /* Protected */,
+
+ // signals: parameters
+    QMetaType::Void,
+
+ // slots: parameters
+    QMetaType::Void, QMetaType::QString,    4,
 
        0        // eod
 };
 
-static const char qt_meta_stringdata_qpdfview__NormalTextFieldWidget[] = {
-    "qpdfview::NormalTextFieldWidget\0\0"
-    "wasModified()\0text\0on_textChanged(QString)\0"
-};
-
 void qpdfview::NormalTextFieldWidget::qt_static_metacall(QObject *_o, QMetaObject::Call _c, int _id, void **_a)
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
-        Q_ASSERT(staticMetaObject.cast(_o));
         NormalTextFieldWidget *_t = static_cast<NormalTextFieldWidget *>(_o);
         switch (_id) {
@@ -54,23 +78,25 @@
         default: ;
         }
-    }
-}
-
-const QMetaObjectExtraData qpdfview::NormalTextFieldWidget::staticMetaObjectExtraData = {
-    0,  qt_static_metacall 
-};
+    } else if (_c == QMetaObject::IndexOfMethod) {
+        int *result = reinterpret_cast<int *>(_a[0]);
+        void **func = reinterpret_cast<void **>(_a[1]);
+        {
+            typedef void (NormalTextFieldWidget::*_t)();
+            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&NormalTextFieldWidget::wasModified)) {
+                *result = 0;
+            }
+        }
+    }
+}
 
 const QMetaObject qpdfview::NormalTextFieldWidget::staticMetaObject = {
-    { &QLineEdit::staticMetaObject, qt_meta_stringdata_qpdfview__NormalTextFieldWidget,
-      qt_meta_data_qpdfview__NormalTextFieldWidget, &staticMetaObjectExtraData }
-};
-
-#ifdef Q_NO_DATA_RELOCATION
-const QMetaObject &qpdfview::NormalTextFieldWidget::getStaticMetaObject() { return staticMetaObject; }
-#endif //Q_NO_DATA_RELOCATION
+    { &QLineEdit::staticMetaObject, qt_meta_stringdata_qpdfview__NormalTextFieldWidget.data,
+      qt_meta_data_qpdfview__NormalTextFieldWidget,  qt_static_metacall, 0, 0}
+};
+
 
 const QMetaObject *qpdfview::NormalTextFieldWidget::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
 }
 
@@ -78,5 +104,5 @@
 {
     if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__NormalTextFieldWidget))
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__NormalTextFieldWidget.stringdata))
         return static_cast<void*>(const_cast< NormalTextFieldWidget*>(this));
     return QLineEdit::qt_metacast(_clname);
@@ -92,4 +118,8 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 2;
+    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
+        if (_id < 2)
+            *reinterpret_cast<int*>(_a[0]) = -1;
+        _id -= 2;
     }
     return _id;
@@ -101,8 +131,29 @@
     QMetaObject::activate(this, &staticMetaObject, 0, 0);
 }
+struct qt_meta_stringdata_qpdfview__MultilineTextFieldWidget_t {
+    QByteArrayData data[4];
+    char stringdata[63];
+};
+#define QT_MOC_LITERAL(idx, ofs, len) \
+    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
+    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__MultilineTextFieldWidget_t, stringdata) + ofs \
+        - idx * sizeof(QByteArrayData)) \
+    )
+static const qt_meta_stringdata_qpdfview__MultilineTextFieldWidget_t qt_meta_stringdata_qpdfview__MultilineTextFieldWidget = {
+    {
+QT_MOC_LITERAL(0, 0, 34),
+QT_MOC_LITERAL(1, 35, 11),
+QT_MOC_LITERAL(2, 47, 0),
+QT_MOC_LITERAL(3, 48, 14)
+    },
+    "qpdfview::MultilineTextFieldWidget\0"
+    "wasModified\0\0on_textChanged"
+};
+#undef QT_MOC_LITERAL
+
 static const uint qt_meta_data_qpdfview__MultilineTextFieldWidget[] = {
 
  // content:
-       6,       // revision
+       7,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -114,22 +165,22 @@
        1,       // signalCount
 
- // signals: signature, parameters, type, tag, flags
-      36,   35,   35,   35, 0x05,
-
- // slots: signature, parameters, type, tag, flags
-      50,   35,   35,   35, 0x09,
+ // signals: name, argc, parameters, tag, flags
+       1,    0,   24,    2, 0x06 /* Public */,
+
+ // slots: name, argc, parameters, tag, flags
+       3,    0,   25,    2, 0x09 /* Protected */,
+
+ // signals: parameters
+    QMetaType::Void,
+
+ // slots: parameters
+    QMetaType::Void,
 
        0        // eod
 };
 
-static const char qt_meta_stringdata_qpdfview__MultilineTextFieldWidget[] = {
-    "qpdfview::MultilineTextFieldWidget\0\0"
-    "wasModified()\0on_textChanged()\0"
-};
-
 void qpdfview::MultilineTextFieldWidget::qt_static_metacall(QObject *_o, QMetaObject::Call _c, int _id, void **_a)
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
-        Q_ASSERT(staticMetaObject.cast(_o));
         MultilineTextFieldWidget *_t = static_cast<MultilineTextFieldWidget *>(_o);
         switch (_id) {
@@ -138,24 +189,26 @@
         default: ;
         }
+    } else if (_c == QMetaObject::IndexOfMethod) {
+        int *result = reinterpret_cast<int *>(_a[0]);
+        void **func = reinterpret_cast<void **>(_a[1]);
+        {
+            typedef void (MultilineTextFieldWidget::*_t)();
+            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&MultilineTextFieldWidget::wasModified)) {
+                *result = 0;
+            }
+        }
     }
     Q_UNUSED(_a);
 }
 
-const QMetaObjectExtraData qpdfview::MultilineTextFieldWidget::staticMetaObjectExtraData = {
-    0,  qt_static_metacall 
-};
-
 const QMetaObject qpdfview::MultilineTextFieldWidget::staticMetaObject = {
-    { &QPlainTextEdit::staticMetaObject, qt_meta_stringdata_qpdfview__MultilineTextFieldWidget,
-      qt_meta_data_qpdfview__MultilineTextFieldWidget, &staticMetaObjectExtraData }
-};
-
-#ifdef Q_NO_DATA_RELOCATION
-const QMetaObject &qpdfview::MultilineTextFieldWidget::getStaticMetaObject() { return staticMetaObject; }
-#endif //Q_NO_DATA_RELOCATION
+    { &QPlainTextEdit::staticMetaObject, qt_meta_stringdata_qpdfview__MultilineTextFieldWidget.data,
+      qt_meta_data_qpdfview__MultilineTextFieldWidget,  qt_static_metacall, 0, 0}
+};
+
 
 const QMetaObject *qpdfview::MultilineTextFieldWidget::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
 }
 
@@ -163,5 +216,5 @@
 {
     if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__MultilineTextFieldWidget))
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__MultilineTextFieldWidget.stringdata))
         return static_cast<void*>(const_cast< MultilineTextFieldWidget*>(this));
     return QPlainTextEdit::qt_metacast(_clname);
@@ -177,4 +230,8 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 2;
+    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
+        if (_id < 2)
+            *reinterpret_cast<int*>(_a[0]) = -1;
+        _id -= 2;
     }
     return _id;
@@ -186,8 +243,33 @@
     QMetaObject::activate(this, &staticMetaObject, 0, 0);
 }
+struct qt_meta_stringdata_qpdfview__ComboBoxChoiceFieldWidget_t {
+    QByteArrayData data[7];
+    char stringdata[105];
+};
+#define QT_MOC_LITERAL(idx, ofs, len) \
+    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
+    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__ComboBoxChoiceFieldWidget_t, stringdata) + ofs \
+        - idx * sizeof(QByteArrayData)) \
+    )
+static const qt_meta_stringdata_qpdfview__ComboBoxChoiceFieldWidget_t qt_meta_stringdata_qpdfview__ComboBoxChoiceFieldWidget = {
+    {
+QT_MOC_LITERAL(0, 0, 35),
+QT_MOC_LITERAL(1, 36, 11),
+QT_MOC_LITERAL(2, 48, 0),
+QT_MOC_LITERAL(3, 49, 22),
+QT_MOC_LITERAL(4, 72, 5),
+QT_MOC_LITERAL(5, 78, 21),
+QT_MOC_LITERAL(6, 100, 4)
+    },
+    "qpdfview::ComboBoxChoiceFieldWidget\0"
+    "wasModified\0\0on_currentIndexChanged\0"
+    "index\0on_currentTextChanged\0text"
+};
+#undef QT_MOC_LITERAL
+
 static const uint qt_meta_data_qpdfview__ComboBoxChoiceFieldWidget[] = {
 
  // content:
-       6,       // revision
+       7,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -199,24 +281,24 @@
        1,       // signalCount
 
- // signals: signature, parameters, type, tag, flags
-      37,   36,   36,   36, 0x05,
-
- // slots: signature, parameters, type, tag, flags
-      57,   51,   36,   36, 0x09,
-      90,   85,   36,   36, 0x09,
+ // signals: name, argc, parameters, tag, flags
+       1,    0,   29,    2, 0x06 /* Public */,
+
+ // slots: name, argc, parameters, tag, flags
+       3,    1,   30,    2, 0x09 /* Protected */,
+       5,    1,   33,    2, 0x09 /* Protected */,
+
+ // signals: parameters
+    QMetaType::Void,
+
+ // slots: parameters
+    QMetaType::Void, QMetaType::Int,    4,
+    QMetaType::Void, QMetaType::QString,    6,
 
        0        // eod
 };
 
-static const char qt_meta_stringdata_qpdfview__ComboBoxChoiceFieldWidget[] = {
-    "qpdfview::ComboBoxChoiceFieldWidget\0"
-    "\0wasModified()\0index\0on_currentIndexChanged(int)\0"
-    "text\0on_currentTextChanged(QString)\0"
-};
-
 void qpdfview::ComboBoxChoiceFieldWidget::qt_static_metacall(QObject *_o, QMetaObject::Call _c, int _id, void **_a)
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
-        Q_ASSERT(staticMetaObject.cast(_o));
         ComboBoxChoiceFieldWidget *_t = static_cast<ComboBoxChoiceFieldWidget *>(_o);
         switch (_id) {
@@ -226,23 +308,25 @@
         default: ;
         }
-    }
-}
-
-const QMetaObjectExtraData qpdfview::ComboBoxChoiceFieldWidget::staticMetaObjectExtraData = {
-    0,  qt_static_metacall 
-};
+    } else if (_c == QMetaObject::IndexOfMethod) {
+        int *result = reinterpret_cast<int *>(_a[0]);
+        void **func = reinterpret_cast<void **>(_a[1]);
+        {
+            typedef void (ComboBoxChoiceFieldWidget::*_t)();
+            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&ComboBoxChoiceFieldWidget::wasModified)) {
+                *result = 0;
+            }
+        }
+    }
+}
 
 const QMetaObject qpdfview::ComboBoxChoiceFieldWidget::staticMetaObject = {
-    { &QComboBox::staticMetaObject, qt_meta_stringdata_qpdfview__ComboBoxChoiceFieldWidget,
-      qt_meta_data_qpdfview__ComboBoxChoiceFieldWidget, &staticMetaObjectExtraData }
-};
-
-#ifdef Q_NO_DATA_RELOCATION
-const QMetaObject &qpdfview::ComboBoxChoiceFieldWidget::getStaticMetaObject() { return staticMetaObject; }
-#endif //Q_NO_DATA_RELOCATION
+    { &QComboBox::staticMetaObject, qt_meta_stringdata_qpdfview__ComboBoxChoiceFieldWidget.data,
+      qt_meta_data_qpdfview__ComboBoxChoiceFieldWidget,  qt_static_metacall, 0, 0}
+};
+
 
 const QMetaObject *qpdfview::ComboBoxChoiceFieldWidget::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
 }
 
@@ -250,5 +334,5 @@
 {
     if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__ComboBoxChoiceFieldWidget))
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__ComboBoxChoiceFieldWidget.stringdata))
         return static_cast<void*>(const_cast< ComboBoxChoiceFieldWidget*>(this));
     return QComboBox::qt_metacast(_clname);
@@ -264,4 +348,8 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 3;
+    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
+        if (_id < 3)
+            *reinterpret_cast<int*>(_a[0]) = -1;
+        _id -= 3;
     }
     return _id;
@@ -273,8 +361,29 @@
     QMetaObject::activate(this, &staticMetaObject, 0, 0);
 }
+struct qt_meta_stringdata_qpdfview__ListBoxChoiceFieldWidget_t {
+    QByteArrayData data[4];
+    char stringdata[72];
+};
+#define QT_MOC_LITERAL(idx, ofs, len) \
+    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
+    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__ListBoxChoiceFieldWidget_t, stringdata) + ofs \
+        - idx * sizeof(QByteArrayData)) \
+    )
+static const qt_meta_stringdata_qpdfview__ListBoxChoiceFieldWidget_t qt_meta_stringdata_qpdfview__ListBoxChoiceFieldWidget = {
+    {
+QT_MOC_LITERAL(0, 0, 34),
+QT_MOC_LITERAL(1, 35, 11),
+QT_MOC_LITERAL(2, 47, 0),
+QT_MOC_LITERAL(3, 48, 23)
+    },
+    "qpdfview::ListBoxChoiceFieldWidget\0"
+    "wasModified\0\0on_itemSelectionChanged"
+};
+#undef QT_MOC_LITERAL
+
 static const uint qt_meta_data_qpdfview__ListBoxChoiceFieldWidget[] = {
 
  // content:
-       6,       // revision
+       7,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -286,22 +395,22 @@
        1,       // signalCount
 
- // signals: signature, parameters, type, tag, flags
-      36,   35,   35,   35, 0x05,
-
- // slots: signature, parameters, type, tag, flags
-      50,   35,   35,   35, 0x09,
+ // signals: name, argc, parameters, tag, flags
+       1,    0,   24,    2, 0x06 /* Public */,
+
+ // slots: name, argc, parameters, tag, flags
+       3,    0,   25,    2, 0x09 /* Protected */,
+
+ // signals: parameters
+    QMetaType::Void,
+
+ // slots: parameters
+    QMetaType::Void,
 
        0        // eod
 };
 
-static const char qt_meta_stringdata_qpdfview__ListBoxChoiceFieldWidget[] = {
-    "qpdfview::ListBoxChoiceFieldWidget\0\0"
-    "wasModified()\0on_itemSelectionChanged()\0"
-};
-
 void qpdfview::ListBoxChoiceFieldWidget::qt_static_metacall(QObject *_o, QMetaObject::Call _c, int _id, void **_a)
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
-        Q_ASSERT(staticMetaObject.cast(_o));
         ListBoxChoiceFieldWidget *_t = static_cast<ListBoxChoiceFieldWidget *>(_o);
         switch (_id) {
@@ -310,24 +419,26 @@
         default: ;
         }
+    } else if (_c == QMetaObject::IndexOfMethod) {
+        int *result = reinterpret_cast<int *>(_a[0]);
+        void **func = reinterpret_cast<void **>(_a[1]);
+        {
+            typedef void (ListBoxChoiceFieldWidget::*_t)();
+            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&ListBoxChoiceFieldWidget::wasModified)) {
+                *result = 0;
+            }
+        }
     }
     Q_UNUSED(_a);
 }
 
-const QMetaObjectExtraData qpdfview::ListBoxChoiceFieldWidget::staticMetaObjectExtraData = {
-    0,  qt_static_metacall 
-};
-
 const QMetaObject qpdfview::ListBoxChoiceFieldWidget::staticMetaObject = {
-    { &QListWidget::staticMetaObject, qt_meta_stringdata_qpdfview__ListBoxChoiceFieldWidget,
-      qt_meta_data_qpdfview__ListBoxChoiceFieldWidget, &staticMetaObjectExtraData }
-};
-
-#ifdef Q_NO_DATA_RELOCATION
-const QMetaObject &qpdfview::ListBoxChoiceFieldWidget::getStaticMetaObject() { return staticMetaObject; }
-#endif //Q_NO_DATA_RELOCATION
+    { &QListWidget::staticMetaObject, qt_meta_stringdata_qpdfview__ListBoxChoiceFieldWidget.data,
+      qt_meta_data_qpdfview__ListBoxChoiceFieldWidget,  qt_static_metacall, 0, 0}
+};
+
 
 const QMetaObject *qpdfview::ListBoxChoiceFieldWidget::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
 }
 
@@ -335,5 +446,5 @@
 {
     if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__ListBoxChoiceFieldWidget))
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__ListBoxChoiceFieldWidget.stringdata))
         return static_cast<void*>(const_cast< ListBoxChoiceFieldWidget*>(this));
     return QListWidget::qt_metacast(_clname);
@@ -349,4 +460,8 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 2;
+    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
+        if (_id < 2)
+            *reinterpret_cast<int*>(_a[0]) = -1;
+        _id -= 2;
     }
     return _id;
@@ -358,8 +473,30 @@
     QMetaObject::activate(this, &staticMetaObject, 0, 0);
 }
+struct qt_meta_stringdata_qpdfview__CheckBoxChoiceFieldWidget_t {
+    QByteArrayData data[5];
+    char stringdata[68];
+};
+#define QT_MOC_LITERAL(idx, ofs, len) \
+    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
+    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__CheckBoxChoiceFieldWidget_t, stringdata) + ofs \
+        - idx * sizeof(QByteArrayData)) \
+    )
+static const qt_meta_stringdata_qpdfview__CheckBoxChoiceFieldWidget_t qt_meta_stringdata_qpdfview__CheckBoxChoiceFieldWidget = {
+    {
+QT_MOC_LITERAL(0, 0, 35),
+QT_MOC_LITERAL(1, 36, 11),
+QT_MOC_LITERAL(2, 48, 0),
+QT_MOC_LITERAL(3, 49, 10),
+QT_MOC_LITERAL(4, 60, 7)
+    },
+    "qpdfview::CheckBoxChoiceFieldWidget\0"
+    "wasModified\0\0on_toggled\0checked"
+};
+#undef QT_MOC_LITERAL
+
 static const uint qt_meta_data_qpdfview__CheckBoxChoiceFieldWidget[] = {
 
  // content:
-       6,       // revision
+       7,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -371,22 +508,22 @@
        1,       // signalCount
 
- // signals: signature, parameters, type, tag, flags
-      37,   36,   36,   36, 0x05,
-
- // slots: signature, parameters, type, tag, flags
-      59,   51,   36,   36, 0x09,
+ // signals: name, argc, parameters, tag, flags
+       1,    0,   24,    2, 0x06 /* Public */,
+
+ // slots: name, argc, parameters, tag, flags
+       3,    1,   25,    2, 0x09 /* Protected */,
+
+ // signals: parameters
+    QMetaType::Void,
+
+ // slots: parameters
+    QMetaType::Void, QMetaType::Bool,    4,
 
        0        // eod
 };
 
-static const char qt_meta_stringdata_qpdfview__CheckBoxChoiceFieldWidget[] = {
-    "qpdfview::CheckBoxChoiceFieldWidget\0"
-    "\0wasModified()\0checked\0on_toggled(bool)\0"
-};
-
 void qpdfview::CheckBoxChoiceFieldWidget::qt_static_metacall(QObject *_o, QMetaObject::Call _c, int _id, void **_a)
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
-        Q_ASSERT(staticMetaObject.cast(_o));
         CheckBoxChoiceFieldWidget *_t = static_cast<CheckBoxChoiceFieldWidget *>(_o);
         switch (_id) {
@@ -395,23 +532,25 @@
         default: ;
         }
-    }
-}
-
-const QMetaObjectExtraData qpdfview::CheckBoxChoiceFieldWidget::staticMetaObjectExtraData = {
-    0,  qt_static_metacall 
-};
+    } else if (_c == QMetaObject::IndexOfMethod) {
+        int *result = reinterpret_cast<int *>(_a[0]);
+        void **func = reinterpret_cast<void **>(_a[1]);
+        {
+            typedef void (CheckBoxChoiceFieldWidget::*_t)();
+            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&CheckBoxChoiceFieldWidget::wasModified)) {
+                *result = 0;
+            }
+        }
+    }
+}
 
 const QMetaObject qpdfview::CheckBoxChoiceFieldWidget::staticMetaObject = {
-    { &QCheckBox::staticMetaObject, qt_meta_stringdata_qpdfview__CheckBoxChoiceFieldWidget,
-      qt_meta_data_qpdfview__CheckBoxChoiceFieldWidget, &staticMetaObjectExtraData }
-};
-
-#ifdef Q_NO_DATA_RELOCATION
-const QMetaObject &qpdfview::CheckBoxChoiceFieldWidget::getStaticMetaObject() { return staticMetaObject; }
-#endif //Q_NO_DATA_RELOCATION
+    { &QCheckBox::staticMetaObject, qt_meta_stringdata_qpdfview__CheckBoxChoiceFieldWidget.data,
+      qt_meta_data_qpdfview__CheckBoxChoiceFieldWidget,  qt_static_metacall, 0, 0}
+};
+
 
 const QMetaObject *qpdfview::CheckBoxChoiceFieldWidget::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
 }
 
@@ -419,5 +558,5 @@
 {
     if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__CheckBoxChoiceFieldWidget))
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__CheckBoxChoiceFieldWidget.stringdata))
         return static_cast<void*>(const_cast< CheckBoxChoiceFieldWidget*>(this));
     return QCheckBox::qt_metacast(_clname);
@@ -433,4 +572,8 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 2;
+    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
+        if (_id < 2)
+            *reinterpret_cast<int*>(_a[0]) = -1;
+        _id -= 2;
     }
     return _id;
@@ -442,8 +585,30 @@
     QMetaObject::activate(this, &staticMetaObject, 0, 0);
 }
+struct qt_meta_stringdata_qpdfview__RadioChoiceFieldWidget_t {
+    QByteArrayData data[5];
+    char stringdata[65];
+};
+#define QT_MOC_LITERAL(idx, ofs, len) \
+    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
+    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__RadioChoiceFieldWidget_t, stringdata) + ofs \
+        - idx * sizeof(QByteArrayData)) \
+    )
+static const qt_meta_stringdata_qpdfview__RadioChoiceFieldWidget_t qt_meta_stringdata_qpdfview__RadioChoiceFieldWidget = {
+    {
+QT_MOC_LITERAL(0, 0, 32),
+QT_MOC_LITERAL(1, 33, 11),
+QT_MOC_LITERAL(2, 45, 0),
+QT_MOC_LITERAL(3, 46, 10),
+QT_MOC_LITERAL(4, 57, 7)
+    },
+    "qpdfview::RadioChoiceFieldWidget\0"
+    "wasModified\0\0on_toggled\0checked"
+};
+#undef QT_MOC_LITERAL
+
 static const uint qt_meta_data_qpdfview__RadioChoiceFieldWidget[] = {
 
  // content:
-       6,       // revision
+       7,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -455,22 +620,22 @@
        1,       // signalCount
 
- // signals: signature, parameters, type, tag, flags
-      34,   33,   33,   33, 0x05,
-
- // slots: signature, parameters, type, tag, flags
-      56,   48,   33,   33, 0x09,
+ // signals: name, argc, parameters, tag, flags
+       1,    0,   24,    2, 0x06 /* Public */,
+
+ // slots: name, argc, parameters, tag, flags
+       3,    1,   25,    2, 0x09 /* Protected */,
+
+ // signals: parameters
+    QMetaType::Void,
+
+ // slots: parameters
+    QMetaType::Void, QMetaType::Bool,    4,
 
        0        // eod
 };
 
-static const char qt_meta_stringdata_qpdfview__RadioChoiceFieldWidget[] = {
-    "qpdfview::RadioChoiceFieldWidget\0\0"
-    "wasModified()\0checked\0on_toggled(bool)\0"
-};
-
 void qpdfview::RadioChoiceFieldWidget::qt_static_metacall(QObject *_o, QMetaObject::Call _c, int _id, void **_a)
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
-        Q_ASSERT(staticMetaObject.cast(_o));
         RadioChoiceFieldWidget *_t = static_cast<RadioChoiceFieldWidget *>(_o);
         switch (_id) {
@@ -479,23 +644,25 @@
         default: ;
         }
-    }
-}
-
-const QMetaObjectExtraData qpdfview::RadioChoiceFieldWidget::staticMetaObjectExtraData = {
-    0,  qt_static_metacall 
-};
+    } else if (_c == QMetaObject::IndexOfMethod) {
+        int *result = reinterpret_cast<int *>(_a[0]);
+        void **func = reinterpret_cast<void **>(_a[1]);
+        {
+            typedef void (RadioChoiceFieldWidget::*_t)();
+            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&RadioChoiceFieldWidget::wasModified)) {
+                *result = 0;
+            }
+        }
+    }
+}
 
 const QMetaObject qpdfview::RadioChoiceFieldWidget::staticMetaObject = {
-    { &QRadioButton::staticMetaObject, qt_meta_stringdata_qpdfview__RadioChoiceFieldWidget,
-      qt_meta_data_qpdfview__RadioChoiceFieldWidget, &staticMetaObjectExtraData }
-};
-
-#ifdef Q_NO_DATA_RELOCATION
-const QMetaObject &qpdfview::RadioChoiceFieldWidget::getStaticMetaObject() { return staticMetaObject; }
-#endif //Q_NO_DATA_RELOCATION
+    { &QRadioButton::staticMetaObject, qt_meta_stringdata_qpdfview__RadioChoiceFieldWidget.data,
+      qt_meta_data_qpdfview__RadioChoiceFieldWidget,  qt_static_metacall, 0, 0}
+};
+
 
 const QMetaObject *qpdfview::RadioChoiceFieldWidget::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
 }
 
@@ -503,5 +670,5 @@
 {
     if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__RadioChoiceFieldWidget))
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__RadioChoiceFieldWidget.stringdata))
         return static_cast<void*>(const_cast< RadioChoiceFieldWidget*>(this));
     return QRadioButton::qt_metacast(_clname);
@@ -517,4 +684,8 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 2;
+    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
+        if (_id < 2)
+            *reinterpret_cast<int*>(_a[0]) = -1;
+        _id -= 2;
     }
     return _id;