Index: terepaima-0.4.16/moc/moc_rendertask.cpp
===================================================================
--- terepaima-0.4.16/moc/moc_rendertask.cpp	(revision 1f4adec359c5217a01caac08e395b35ebeb3792d)
+++ terepaima-0.4.16/moc/moc_rendertask.cpp	(revision 3d9584517ff74faaa29038acf42374227f030fe2)
@@ -2,5 +2,5 @@
 ** Meta object code from reading C++ file 'rendertask.h'
 **
-** Created by: The Qt Meta Object Compiler version 63 (Qt 4.8.6)
+** Created by: The Qt Meta Object Compiler version 67 (Qt 5.3.2)
 **
 ** WARNING! All changes made in this file will be lost!
@@ -8,8 +8,10 @@
 
 #include "../sources/rendertask.h"
+#include <QtCore/qbytearray.h>
+#include <QtCore/qmetatype.h>
 #if !defined(Q_MOC_OUTPUT_REVISION)
 #error "The header file 'rendertask.h' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 63
-#error "This file was generated using the moc from 4.8.6. It"
+#elif Q_MOC_OUTPUT_REVISION != 67
+#error "This file was generated using the moc from 5.3.2. It"
 #error "cannot be used with the include files from this version of Qt."
 #error "(The moc has changed too much.)"
@@ -17,8 +19,40 @@
 
 QT_BEGIN_MOC_NAMESPACE
+struct qt_meta_stringdata_qpdfview__RenderTask_t {
+    QByteArrayData data[13];
+    char stringdata[114];
+};
+#define QT_MOC_LITERAL(idx, ofs, len) \
+    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
+    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__RenderTask_t, stringdata) + ofs \
+        - idx * sizeof(QByteArrayData)) \
+    )
+static const qt_meta_stringdata_qpdfview__RenderTask_t qt_meta_stringdata_qpdfview__RenderTask = {
+    {
+QT_MOC_LITERAL(0, 0, 20),
+QT_MOC_LITERAL(1, 21, 8),
+QT_MOC_LITERAL(2, 30, 0),
+QT_MOC_LITERAL(3, 31, 10),
+QT_MOC_LITERAL(4, 42, 11),
+QT_MOC_LITERAL(5, 54, 11),
+QT_MOC_LITERAL(6, 66, 4),
+QT_MOC_LITERAL(7, 71, 8),
+QT_MOC_LITERAL(8, 80, 5),
+QT_MOC_LITERAL(9, 86, 8),
+QT_MOC_LITERAL(10, 95, 5),
+QT_MOC_LITERAL(11, 101, 6),
+QT_MOC_LITERAL(12, 108, 5)
+    },
+    "qpdfview::RenderTask\0finished\0\0"
+    "imageReady\0RenderParam\0renderParam\0"
+    "rect\0prefetch\0image\0cropRect\0start\0"
+    "cancel\0force"
+};
+#undef QT_MOC_LITERAL
+
 static const uint qt_meta_data_qpdfview__RenderTask[] = {
 
  // content:
-       6,       // revision
+       7,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -30,23 +64,23 @@
        2,       // signalCount
 
- // signals: signature, parameters, type, tag, flags
-      22,   21,   21,   21, 0x05,
-      74,   33,   21,   21, 0x05,
+ // signals: name, argc, parameters, tag, flags
+       1,    0,   39,    2, 0x06 /* Public */,
+       3,    5,   40,    2, 0x06 /* Public */,
 
- // slots: signature, parameters, type, tag, flags
-     149,  123,   21,   21, 0x0a,
-     185,  179,   21,   21, 0x0a,
-     198,   21,   21,   21, 0x2a,
+ // slots: name, argc, parameters, tag, flags
+      10,    3,   51,    2, 0x0a /* Public */,
+      11,    1,   58,    2, 0x0a /* Public */,
+      11,    0,   61,    2, 0x2a /* Public | MethodCloned */,
+
+ // signals: parameters
+    QMetaType::Void,
+    QMetaType::Void, 0x80000000 | 4, QMetaType::QRect, QMetaType::Bool, QMetaType::QImage, QMetaType::QRectF,    5,    6,    7,    8,    9,
+
+ // slots: parameters
+    QMetaType::Void, 0x80000000 | 4, QMetaType::QRect, QMetaType::Bool,    5,    6,    7,
+    QMetaType::Void, QMetaType::Bool,   12,
+    QMetaType::Void,
 
        0        // eod
-};
-
-static const char qt_meta_stringdata_qpdfview__RenderTask[] = {
-    "qpdfview::RenderTask\0\0finished()\0"
-    "renderParam,rect,prefetch,image,cropRect\0"
-    "imageReady(RenderParam,QRect,bool,QImage,QRectF)\0"
-    "renderParam,rect,prefetch\0"
-    "start(RenderParam,QRect,bool)\0force\0"
-    "cancel(bool)\0cancel()\0"
 };
 
@@ -54,5 +88,4 @@
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
-        Q_ASSERT(staticMetaObject.cast(_o));
         RenderTask *_t = static_cast<RenderTask *>(_o);
         switch (_id) {
@@ -64,23 +97,31 @@
         default: ;
         }
+    } else if (_c == QMetaObject::IndexOfMethod) {
+        int *result = reinterpret_cast<int *>(_a[0]);
+        void **func = reinterpret_cast<void **>(_a[1]);
+        {
+            typedef void (RenderTask::*_t)();
+            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&RenderTask::finished)) {
+                *result = 0;
+            }
+        }
+        {
+            typedef void (RenderTask::*_t)(const RenderParam & , const QRect & , bool , const QImage & , const QRectF & );
+            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&RenderTask::imageReady)) {
+                *result = 1;
+            }
+        }
     }
 }
 
-const QMetaObjectExtraData qpdfview::RenderTask::staticMetaObjectExtraData = {
-    0,  qt_static_metacall 
+const QMetaObject qpdfview::RenderTask::staticMetaObject = {
+    { &QObject::staticMetaObject, qt_meta_stringdata_qpdfview__RenderTask.data,
+      qt_meta_data_qpdfview__RenderTask,  qt_static_metacall, 0, 0}
 };
 
-const QMetaObject qpdfview::RenderTask::staticMetaObject = {
-    { &QObject::staticMetaObject, qt_meta_stringdata_qpdfview__RenderTask,
-      qt_meta_data_qpdfview__RenderTask, &staticMetaObjectExtraData }
-};
-
-#ifdef Q_NO_DATA_RELOCATION
-const QMetaObject &qpdfview::RenderTask::getStaticMetaObject() { return staticMetaObject; }
-#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::RenderTask::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
 }
 
@@ -88,5 +129,5 @@
 {
     if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__RenderTask))
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__RenderTask.stringdata))
         return static_cast<void*>(const_cast< RenderTask*>(this));
     if (!strcmp(_clname, "QRunnable"))
@@ -103,4 +144,8 @@
         if (_id < 5)
             qt_static_metacall(this, _c, _id, _a);
+        _id -= 5;
+    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
+        if (_id < 5)
+            *reinterpret_cast<int*>(_a[0]) = -1;
         _id -= 5;
     }