Index: terepaima-0.4.16/moc-pdf/moc_model.cpp
===================================================================
--- terepaima-0.4.16/moc-pdf/moc_model.cpp	(revision 1f4adec359c5217a01caac08e395b35ebeb3792d)
+++ terepaima-0.4.16/moc-pdf/moc_model.cpp	(revision 3d9584517ff74faaa29038acf42374227f030fe2)
@@ -2,5 +2,5 @@
 ** Meta object code from reading C++ file 'model.h'
 **
-** Created by: The Qt Meta Object Compiler version 63 (Qt 4.8.6)
+** Created by: The Qt Meta Object Compiler version 67 (Qt 5.3.2)
 **
 ** WARNING! All changes made in this file will be lost!
@@ -8,8 +8,10 @@
 
 #include "../sources/model.h"
+#include <QtCore/qbytearray.h>
+#include <QtCore/qmetatype.h>
 #if !defined(Q_MOC_OUTPUT_REVISION)
 #error "The header file 'model.h' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 63
-#error "This file was generated using the moc from 4.8.6. It"
+#elif Q_MOC_OUTPUT_REVISION != 67
+#error "This file was generated using the moc from 5.3.2. It"
 #error "cannot be used with the include files from this version of Qt."
 #error "(The moc has changed too much.)"
@@ -17,8 +19,28 @@
 
 QT_BEGIN_MOC_NAMESPACE
+struct qt_meta_stringdata_qpdfview__Model__Annotation_t {
+    QByteArrayData data[3];
+    char stringdata[41];
+};
+#define QT_MOC_LITERAL(idx, ofs, len) \
+    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
+    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__Model__Annotation_t, stringdata) + ofs \
+        - idx * sizeof(QByteArrayData)) \
+    )
+static const qt_meta_stringdata_qpdfview__Model__Annotation_t qt_meta_stringdata_qpdfview__Model__Annotation = {
+    {
+QT_MOC_LITERAL(0, 0, 27),
+QT_MOC_LITERAL(1, 28, 11),
+QT_MOC_LITERAL(2, 40, 0)
+    },
+    "qpdfview::Model::Annotation\0wasModified\0"
+    ""
+};
+#undef QT_MOC_LITERAL
+
 static const uint qt_meta_data_qpdfview__Model__Annotation[] = {
 
  // content:
-       6,       // revision
+       7,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -30,18 +52,16 @@
        1,       // signalCount
 
- // signals: signature, parameters, type, tag, flags
-      29,   28,   28,   28, 0x05,
+ // signals: name, argc, parameters, tag, flags
+       1,    0,   19,    2, 0x06 /* Public */,
+
+ // signals: parameters
+    QMetaType::Void,
 
        0        // eod
 };
 
-static const char qt_meta_stringdata_qpdfview__Model__Annotation[] = {
-    "qpdfview::Model::Annotation\0\0wasModified()\0"
-};
-
 void qpdfview::Model::Annotation::qt_static_metacall(QObject *_o, QMetaObject::Call _c, int _id, void **_a)
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
-        Q_ASSERT(staticMetaObject.cast(_o));
         Annotation *_t = static_cast<Annotation *>(_o);
         switch (_id) {
@@ -49,24 +69,26 @@
         default: ;
         }
+    } else if (_c == QMetaObject::IndexOfMethod) {
+        int *result = reinterpret_cast<int *>(_a[0]);
+        void **func = reinterpret_cast<void **>(_a[1]);
+        {
+            typedef void (Annotation::*_t)();
+            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&Annotation::wasModified)) {
+                *result = 0;
+            }
+        }
     }
     Q_UNUSED(_a);
 }
 
-const QMetaObjectExtraData qpdfview::Model::Annotation::staticMetaObjectExtraData = {
-    0,  qt_static_metacall 
-};
-
 const QMetaObject qpdfview::Model::Annotation::staticMetaObject = {
-    { &QObject::staticMetaObject, qt_meta_stringdata_qpdfview__Model__Annotation,
-      qt_meta_data_qpdfview__Model__Annotation, &staticMetaObjectExtraData }
-};
-
-#ifdef Q_NO_DATA_RELOCATION
-const QMetaObject &qpdfview::Model::Annotation::getStaticMetaObject() { return staticMetaObject; }
-#endif //Q_NO_DATA_RELOCATION
+    { &QObject::staticMetaObject, qt_meta_stringdata_qpdfview__Model__Annotation.data,
+      qt_meta_data_qpdfview__Model__Annotation,  qt_static_metacall, 0, 0}
+};
+
 
 const QMetaObject *qpdfview::Model::Annotation::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
 }
 
@@ -74,5 +96,5 @@
 {
     if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__Model__Annotation))
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__Model__Annotation.stringdata))
         return static_cast<void*>(const_cast< Annotation*>(this));
     return QObject::qt_metacast(_clname);
@@ -88,4 +110,8 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 1;
+    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
+        if (_id < 1)
+            *reinterpret_cast<int*>(_a[0]) = -1;
+        _id -= 1;
     }
     return _id;
@@ -97,8 +123,28 @@
     QMetaObject::activate(this, &staticMetaObject, 0, 0);
 }
+struct qt_meta_stringdata_qpdfview__Model__FormField_t {
+    QByteArrayData data[3];
+    char stringdata[40];
+};
+#define QT_MOC_LITERAL(idx, ofs, len) \
+    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
+    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__Model__FormField_t, stringdata) + ofs \
+        - idx * sizeof(QByteArrayData)) \
+    )
+static const qt_meta_stringdata_qpdfview__Model__FormField_t qt_meta_stringdata_qpdfview__Model__FormField = {
+    {
+QT_MOC_LITERAL(0, 0, 26),
+QT_MOC_LITERAL(1, 27, 11),
+QT_MOC_LITERAL(2, 39, 0)
+    },
+    "qpdfview::Model::FormField\0wasModified\0"
+    ""
+};
+#undef QT_MOC_LITERAL
+
 static const uint qt_meta_data_qpdfview__Model__FormField[] = {
 
  // content:
-       6,       // revision
+       7,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -110,18 +156,16 @@
        1,       // signalCount
 
- // signals: signature, parameters, type, tag, flags
-      28,   27,   27,   27, 0x05,
+ // signals: name, argc, parameters, tag, flags
+       1,    0,   19,    2, 0x06 /* Public */,
+
+ // signals: parameters
+    QMetaType::Void,
 
        0        // eod
 };
 
-static const char qt_meta_stringdata_qpdfview__Model__FormField[] = {
-    "qpdfview::Model::FormField\0\0wasModified()\0"
-};
-
 void qpdfview::Model::FormField::qt_static_metacall(QObject *_o, QMetaObject::Call _c, int _id, void **_a)
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
-        Q_ASSERT(staticMetaObject.cast(_o));
         FormField *_t = static_cast<FormField *>(_o);
         switch (_id) {
@@ -129,24 +173,26 @@
         default: ;
         }
+    } else if (_c == QMetaObject::IndexOfMethod) {
+        int *result = reinterpret_cast<int *>(_a[0]);
+        void **func = reinterpret_cast<void **>(_a[1]);
+        {
+            typedef void (FormField::*_t)();
+            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&FormField::wasModified)) {
+                *result = 0;
+            }
+        }
     }
     Q_UNUSED(_a);
 }
 
-const QMetaObjectExtraData qpdfview::Model::FormField::staticMetaObjectExtraData = {
-    0,  qt_static_metacall 
-};
-
 const QMetaObject qpdfview::Model::FormField::staticMetaObject = {
-    { &QObject::staticMetaObject, qt_meta_stringdata_qpdfview__Model__FormField,
-      qt_meta_data_qpdfview__Model__FormField, &staticMetaObjectExtraData }
-};
-
-#ifdef Q_NO_DATA_RELOCATION
-const QMetaObject &qpdfview::Model::FormField::getStaticMetaObject() { return staticMetaObject; }
-#endif //Q_NO_DATA_RELOCATION
+    { &QObject::staticMetaObject, qt_meta_stringdata_qpdfview__Model__FormField.data,
+      qt_meta_data_qpdfview__Model__FormField,  qt_static_metacall, 0, 0}
+};
+
 
 const QMetaObject *qpdfview::Model::FormField::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
 }
 
@@ -154,5 +200,5 @@
 {
     if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__Model__FormField))
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__Model__FormField.stringdata))
         return static_cast<void*>(const_cast< FormField*>(this));
     return QObject::qt_metacast(_clname);
@@ -168,4 +214,8 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 1;
+    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
+        if (_id < 1)
+            *reinterpret_cast<int*>(_a[0]) = -1;
+        _id -= 1;
     }
     return _id;
@@ -177,8 +227,25 @@
     QMetaObject::activate(this, &staticMetaObject, 0, 0);
 }
+struct qt_meta_stringdata_qpdfview__SettingsWidget_t {
+    QByteArrayData data[1];
+    char stringdata[25];
+};
+#define QT_MOC_LITERAL(idx, ofs, len) \
+    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
+    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__SettingsWidget_t, stringdata) + ofs \
+        - idx * sizeof(QByteArrayData)) \
+    )
+static const qt_meta_stringdata_qpdfview__SettingsWidget_t qt_meta_stringdata_qpdfview__SettingsWidget = {
+    {
+QT_MOC_LITERAL(0, 0, 24)
+    },
+    "qpdfview::SettingsWidget"
+};
+#undef QT_MOC_LITERAL
+
 static const uint qt_meta_data_qpdfview__SettingsWidget[] = {
 
  // content:
-       6,       // revision
+       7,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -193,8 +260,4 @@
 };
 
-static const char qt_meta_stringdata_qpdfview__SettingsWidget[] = {
-    "qpdfview::SettingsWidget\0"
-};
-
 void qpdfview::SettingsWidget::qt_static_metacall(QObject *_o, QMetaObject::Call _c, int _id, void **_a)
 {
@@ -205,20 +268,13 @@
 }
 
-const QMetaObjectExtraData qpdfview::SettingsWidget::staticMetaObjectExtraData = {
-    0,  qt_static_metacall 
-};
-
 const QMetaObject qpdfview::SettingsWidget::staticMetaObject = {
-    { &QWidget::staticMetaObject, qt_meta_stringdata_qpdfview__SettingsWidget,
-      qt_meta_data_qpdfview__SettingsWidget, &staticMetaObjectExtraData }
-};
-
-#ifdef Q_NO_DATA_RELOCATION
-const QMetaObject &qpdfview::SettingsWidget::getStaticMetaObject() { return staticMetaObject; }
-#endif //Q_NO_DATA_RELOCATION
+    { &QWidget::staticMetaObject, qt_meta_stringdata_qpdfview__SettingsWidget.data,
+      qt_meta_data_qpdfview__SettingsWidget,  qt_static_metacall, 0, 0}
+};
+
 
 const QMetaObject *qpdfview::SettingsWidget::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
 }
 
@@ -226,5 +282,5 @@
 {
     if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__SettingsWidget))
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__SettingsWidget.stringdata))
         return static_cast<void*>(const_cast< SettingsWidget*>(this));
     return QWidget::qt_metacast(_clname);