Index: terepaima-0.4.16/moc/moc_presentationview.cpp
===================================================================
--- terepaima-0.4.16/moc/moc_presentationview.cpp	(revision 3d9584517ff74faaa29038acf42374227f030fe2)
+++ terepaima-0.4.16/moc/moc_presentationview.cpp	(revision 1487f05dbbaee1f4def7af3890c76efff5e0d60e)
@@ -2,5 +2,5 @@
 ** Meta object code from reading C++ file 'presentationview.h'
 **
-** Created by: The Qt Meta Object Compiler version 67 (Qt 5.3.2)
+** Created by: The Qt Meta Object Compiler version 67 (Qt 5.7.1)
 **
 ** WARNING! All changes made in this file will be lost!
@@ -13,5 +13,5 @@
 #error "The header file 'presentationview.h' doesn't include <QObject>."
 #elif Q_MOC_OUTPUT_REVISION != 67
-#error "This file was generated using the moc from 5.3.2. It"
+#error "This file was generated using the moc from 5.7.1. It"
 #error "cannot be used with the include files from this version of Qt."
 #error "(The moc has changed too much.)"
@@ -21,49 +21,50 @@
 struct qt_meta_stringdata_qpdfview__PresentationView_t {
     QByteArrayData data[36];
-    char stringdata[446];
+    char stringdata0[446];
 };
 #define QT_MOC_LITERAL(idx, ofs, len) \
     Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__PresentationView_t, stringdata) + ofs \
+    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__PresentationView_t, stringdata0) + ofs \
         - idx * sizeof(QByteArrayData)) \
     )
 static const qt_meta_stringdata_qpdfview__PresentationView_t qt_meta_stringdata_qpdfview__PresentationView = {
     {
-QT_MOC_LITERAL(0, 0, 26),
-QT_MOC_LITERAL(1, 27, 18),
-QT_MOC_LITERAL(2, 46, 0),
-QT_MOC_LITERAL(3, 47, 11),
-QT_MOC_LITERAL(4, 59, 11),
-QT_MOC_LITERAL(5, 71, 16),
-QT_MOC_LITERAL(6, 88, 9),
-QT_MOC_LITERAL(7, 98, 9),
-QT_MOC_LITERAL(8, 108, 18),
-QT_MOC_LITERAL(9, 127, 11),
-QT_MOC_LITERAL(10, 139, 15),
-QT_MOC_LITERAL(11, 155, 8),
-QT_MOC_LITERAL(12, 164, 8),
-QT_MOC_LITERAL(13, 173, 18),
-QT_MOC_LITERAL(14, 192, 21),
-QT_MOC_LITERAL(15, 214, 11),
-QT_MOC_LITERAL(16, 226, 4),
-QT_MOC_LITERAL(17, 231, 12),
-QT_MOC_LITERAL(18, 244, 8),
-QT_MOC_LITERAL(19, 253, 9),
-QT_MOC_LITERAL(20, 263, 8),
-QT_MOC_LITERAL(21, 272, 10),
-QT_MOC_LITERAL(22, 283, 4),
-QT_MOC_LITERAL(23, 288, 12),
-QT_MOC_LITERAL(24, 301, 11),
-QT_MOC_LITERAL(25, 313, 6),
-QT_MOC_LITERAL(26, 320, 7),
-QT_MOC_LITERAL(27, 328, 12),
-QT_MOC_LITERAL(28, 341, 10),
-QT_MOC_LITERAL(29, 352, 11),
-QT_MOC_LITERAL(30, 364, 19),
-QT_MOC_LITERAL(31, 384, 24),
-QT_MOC_LITERAL(32, 409, 20),
-QT_MOC_LITERAL(33, 430, 6),
-QT_MOC_LITERAL(34, 437, 4),
-QT_MOC_LITERAL(35, 442, 3)
+QT_MOC_LITERAL(0, 0, 26), // "qpdfview::PresentationView"
+QT_MOC_LITERAL(1, 27, 18), // "currentPageChanged"
+QT_MOC_LITERAL(2, 46, 0), // ""
+QT_MOC_LITERAL(3, 47, 11), // "currentPage"
+QT_MOC_LITERAL(4, 59, 11), // "trackChange"
+QT_MOC_LITERAL(5, 71, 16), // "scaleModeChanged"
+QT_MOC_LITERAL(6, 88, 9), // "ScaleMode"
+QT_MOC_LITERAL(7, 98, 9), // "scaleMode"
+QT_MOC_LITERAL(8, 108, 18), // "scaleFactorChanged"
+QT_MOC_LITERAL(9, 127, 11), // "scaleFactor"
+QT_MOC_LITERAL(10, 139, 15), // "rotationChanged"
+QT_MOC_LITERAL(11, 155, 8), // "Rotation"
+QT_MOC_LITERAL(12, 164, 8), // "rotation"
+QT_MOC_LITERAL(13, 173, 18), // "renderFlagsChanged"
+QT_MOC_LITERAL(14, 192, 21), // "qpdfview::RenderFlags"
+QT_MOC_LITERAL(15, 214, 11), // "renderFlags"
+QT_MOC_LITERAL(16, 226, 4), // "show"
+QT_MOC_LITERAL(17, 231, 12), // "previousPage"
+QT_MOC_LITERAL(18, 244, 8), // "nextPage"
+QT_MOC_LITERAL(19, 253, 9), // "firstPage"
+QT_MOC_LITERAL(20, 263, 8), // "lastPage"
+QT_MOC_LITERAL(21, 272, 10), // "jumpToPage"
+QT_MOC_LITERAL(22, 283, 4), // "page"
+QT_MOC_LITERAL(23, 288, 12), // "jumpBackward"
+QT_MOC_LITERAL(24, 301, 11), // "jumpForward"
+QT_MOC_LITERAL(25, 313, 6), // "zoomIn"
+QT_MOC_LITERAL(26, 320, 7), // "zoomOut"
+QT_MOC_LITERAL(27, 328, 12), // "originalSize"
+QT_MOC_LITERAL(28, 341, 10), // "rotateLeft"
+QT_MOC_LITERAL(29, 352, 11), // "rotateRight"
+QT_MOC_LITERAL(30, 364, 19), // "on_prefetch_timeout"
+QT_MOC_LITERAL(31, 384, 24), // "on_pages_cropRectChanged"
+QT_MOC_LITERAL(32, 409, 20), // "on_pages_linkClicked"
+QT_MOC_LITERAL(33, 430, 6), // "newTab"
+QT_MOC_LITERAL(34, 437, 4), // "left"
+QT_MOC_LITERAL(35, 442, 3) // "top"
+
     },
     "qpdfview::PresentationView\0"
@@ -156,4 +157,5 @@
     if (_c == QMetaObject::InvokeMetaMethod) {
         PresentationView *_t = static_cast<PresentationView *>(_o);
+        Q_UNUSED(_t)
         switch (_id) {
         case 0: _t->currentPageChanged((*reinterpret_cast< int(*)>(_a[1])),(*reinterpret_cast< bool(*)>(_a[2]))); break;
@@ -189,4 +191,5 @@
             if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&PresentationView::currentPageChanged)) {
                 *result = 0;
+                return;
             }
         }
@@ -195,4 +198,5 @@
             if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&PresentationView::scaleModeChanged)) {
                 *result = 2;
+                return;
             }
         }
@@ -201,4 +205,5 @@
             if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&PresentationView::scaleFactorChanged)) {
                 *result = 3;
+                return;
             }
         }
@@ -207,4 +212,5 @@
             if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&PresentationView::rotationChanged)) {
                 *result = 4;
+                return;
             }
         }
@@ -213,4 +219,5 @@
             if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&PresentationView::renderFlagsChanged)) {
                 *result = 5;
+                return;
             }
         }
@@ -220,5 +227,5 @@
 const QMetaObject qpdfview::PresentationView::staticMetaObject = {
     { &QGraphicsView::staticMetaObject, qt_meta_stringdata_qpdfview__PresentationView.data,
-      qt_meta_data_qpdfview__PresentationView,  qt_static_metacall, 0, 0}
+      qt_meta_data_qpdfview__PresentationView,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
 };
 
@@ -231,6 +238,6 @@
 void *qpdfview::PresentationView::qt_metacast(const char *_clname)
 {
-    if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__PresentationView.stringdata))
+    if (!_clname) return Q_NULLPTR;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__PresentationView.stringdata0))
         return static_cast<void*>(const_cast< PresentationView*>(this));
     return QGraphicsView::qt_metacast(_clname);
@@ -257,5 +264,5 @@
 void qpdfview::PresentationView::currentPageChanged(int _t1, bool _t2)
 {
-    void *_a[] = { 0, const_cast<void*>(reinterpret_cast<const void*>(&_t1)), const_cast<void*>(reinterpret_cast<const void*>(&_t2)) };
+    void *_a[] = { Q_NULLPTR, const_cast<void*>(reinterpret_cast<const void*>(&_t1)), const_cast<void*>(reinterpret_cast<const void*>(&_t2)) };
     QMetaObject::activate(this, &staticMetaObject, 0, _a);
 }
@@ -264,5 +271,5 @@
 void qpdfview::PresentationView::scaleModeChanged(ScaleMode _t1)
 {
-    void *_a[] = { 0, const_cast<void*>(reinterpret_cast<const void*>(&_t1)) };
+    void *_a[] = { Q_NULLPTR, const_cast<void*>(reinterpret_cast<const void*>(&_t1)) };
     QMetaObject::activate(this, &staticMetaObject, 2, _a);
 }
@@ -271,5 +278,5 @@
 void qpdfview::PresentationView::scaleFactorChanged(qreal _t1)
 {
-    void *_a[] = { 0, const_cast<void*>(reinterpret_cast<const void*>(&_t1)) };
+    void *_a[] = { Q_NULLPTR, const_cast<void*>(reinterpret_cast<const void*>(&_t1)) };
     QMetaObject::activate(this, &staticMetaObject, 3, _a);
 }
@@ -278,5 +285,5 @@
 void qpdfview::PresentationView::rotationChanged(Rotation _t1)
 {
-    void *_a[] = { 0, const_cast<void*>(reinterpret_cast<const void*>(&_t1)) };
+    void *_a[] = { Q_NULLPTR, const_cast<void*>(reinterpret_cast<const void*>(&_t1)) };
     QMetaObject::activate(this, &staticMetaObject, 4, _a);
 }
@@ -285,5 +292,5 @@
 void qpdfview::PresentationView::renderFlagsChanged(qpdfview::RenderFlags _t1)
 {
-    void *_a[] = { 0, const_cast<void*>(reinterpret_cast<const void*>(&_t1)) };
+    void *_a[] = { Q_NULLPTR, const_cast<void*>(reinterpret_cast<const void*>(&_t1)) };
     QMetaObject::activate(this, &staticMetaObject, 5, _a);
 }